This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 460422 - kernel: ext2 does not force ro-mode when revision level is too high [rhel-4.8]
kernel: ext2 does not force ro-mode when revision level is too high [rhel-4.8]
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
medium Severity low
: rc
: ---
Assigned To: Eric Sandeen
Martin Jenner
:
Depends On: 460421
Blocks: 461304
  Show dependency treegraph
 
Reported: 2008-08-28 03:41 EDT by Eugene Teo (Security Response)
Modified: 2010-04-01 15:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-01 15:57:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-08-28 03:41:12 EDT
+++ This bug was initially created as a clone of Bug #460421 +++

Description of problem:
The ext2 filesystem does not force read-only mode when the revision level is too high. That is, when le32_to_cpu(es->s_rev_level) > EXT3_MAX_SUPP_REV.
Comment 2 Eugene Teo (Security Response) 2008-08-28 03:43:28 EDT
 738 static int ext2_fill_super(struct super_block *sb, void *data, int silent)
 739 {
[...]
1066     ext2_setup_super (sb, es, sb->s_flags & MS_RDONLY);
1067     return 0;

 576 static int ext2_setup_super (struct super_block * sb,
 577                   struct ext2_super_block * es,
 578                   int read_only)
 579 {
 580     int res = 0;
 581     struct ext2_sb_info *sbi = EXT2_SB(sb);
 582      
 583     if (le32_to_cpu(es->s_rev_level) > EXT2_MAX_SUPP_REV) {
 584         printk ("EXT2-fs warning: revision level too high, "
 585             "forcing read-only mode\n");
 586         res = MS_RDONLY;
 587     }
[...]
 618     return res;
 619 }

It doesn't look like this piece of code is tested at all. The status returned from ext2_setup_super is not checked, so what it did was to print a warning message. I believe this should be done in the early part of ext2_fill_super().
Comment 5 RHEL Product and Program Management 2008-09-03 09:09:55 EDT
Updating PM score.
Comment 7 RHEL Product and Program Management 2009-03-12 14:57:34 EDT
Since RHEL 4.8 External Beta has begun, and this bugzilla remains 
unresolved, it has been rejected as it is not proposed as exception or 
blocker.
Comment 8 Eric Sandeen 2010-04-01 15:57:36 EDT
I don't think this is a critical fix for RHEL at this point.

Note You need to log in before you can comment on or make changes to this bug.